Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Feb 2020 01:02:46 +0200

> Could you perhaps describe the root cause again, this time focusing on
> the actual problem?  Your original description made me think the
> program was with log files, and nroff-mode just got in the way, but
> you seem to be talking about a genuine problem in nroff-mode.  What is
> that problem?

Sorry for an unclear bug report.  What I described earlier is the case
that exposed the problem in nroff-mode.  The problem itself is that
the global search prefix keymap ‘M-s’ (search-map) is shadowed
in nroff-mode by a keybinding that bounds the same key ‘M-s’
in nroff-mode-map to ‘center-line’.

The solution already exists in text-mode from which nroff-mode inherits:
text-mode binds ‘center-line’ to ‘M-o M-s’.  Thus just removing the
keybinding ‘M-s’ from nroff-mode will make the search prefix ‘M-s’
of search-map available in nroff-mode, whereas ‘M-o M-s’ will call 
‘center-line’ previously bound to ‘M-s’.